Package org.apache.sysds.parser

## Enum Expression.BooleanOp

- java.lang.Object
- - java.lang.Enum<Expression.BooleanOp>
  - - org.apache.sysds.parser.Expression.BooleanOp

All Implemented Interfaces:
  `Serializable`, `Comparable<Expression.BooleanOp>`

Enclosing class:
  Expression

    public static enum Expression.BooleanOp
    extends Enum<Expression.BooleanOp>

Boolean operators.

### Enum Constant Summary

Enum Constants
`CONDITIONALAND`
`CONDITIONALOR`
`INVALID`
`LOGICALAND`
`LOGICALOR`
`NOT`

### Method Summary

All Methods Static Methods Concrete Methods
`static Expression.BooleanOp` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Expression.BooleanOp[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONDITIONALAND

    public static final Expression.BooleanOp CONDITIONALAND

#### CONDITIONALOR

    public static final Expression.BooleanOp CONDITIONALOR

#### LOGICALAND

    public static final Expression.BooleanOp LOGICALAND

#### LOGICALOR

    public static final Expression.BooleanOp LOGICALOR

#### NOT

    public static final Expression.BooleanOp NOT

#### INVALID

    public static final Expression.BooleanOp INVALID

### Method Detail

#### values

    public static Expression.BooleanOp[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Expression.BooleanOp c : Expression.BooleanOp.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Expression.BooleanOp valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null